Skip to content
Generator for Postmark configuration in Rails 3 apps.
Ruby
Find file
Pull request Compare This branch is 56 commits behind newleaders:master.
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Failed to load latest commit information.
lib
test
.gitignore
.ruby-version
Gemfile
LICENSE
README.md
Rakefile
thincloud-postmark.gemspec

README.md

Thincloud::Postmark

Description

Postmark configuration for Rails apps.

Requirements

This gem requires Rails 3.2+ and has been tested on the following versions:

  • 3.2

This gem has been tested against the following Ruby versions:

  • 1.9.3

Installation

Add this line to your application's Gemfile:

gem "thincloud-postmark"

And then execute:

$ bundle

Or install it yourself as:

$ gem install thincloud-postmark

Usage

This gem adds a generator to Rails, thincloud:postmark. Running the generator will install a mail interceptor for non-production environments and a configuration initializer in config/initializers/thincloud_postmark.rb where your API key or environment variable can be defined.

  • Invoke the generator:
$ rails generate thincloud:postmark

Contributing

  1. Fork it
  2. Create your feature branch (git checkout -b my-new-feature)
  3. Commit your changes (git commit -am 'Added some feature')
  4. Push to the branch (git push origin my-new-feature)
  5. Create a Pull Request

License

  • Freely distributable and licensed under the MIT-style license. See LICENSE file for details.
  • Copyright (c) 2012 New Leaders
  • https://newleaders.com
Something went wrong with that request. Please try again.